# orientdb_server

This package is a simple-minded attempt at a Dart wrapper for OrientDB's REST/Json interface

## Usage

Here is an example of orientdb_server in an MVC controller:

<code>
  @RequestMapping(value: "/list", method: RequestMethod.POST)
  Future<String> list(req, Model model) async {
    var completer = new Completer();
    Map params = await req.getPostParams();
    model.addAttribute('db_name', params['db_name']);
    var urlParts = new OrientDB_UrlParts('root', 'babcock', '127.0.0.1', 2480);
  //  await CreateDatabase(urlParts, params['db_name'], Storage.MEMORY, DBType.GRAPH);
    urlParts.createDatabase(params['db_name']).then((bool good) {
      model.addAttribute("dbstatus", "$good");
      return;
    }).then((_) {
      urlParts.databaseList().then((list) {
        model.addAttribute('db_list', list);
        completer.complete("list");
      });
    });
    return completer.future;
  }
</code>

## Features and bugs

Current features

+  Get a list of databases
+  Create a database
+  Delete a database (untested)


Please file feature requests and bugs at the [issue tracker][tracker].

[tracker]: http://example.com/issues/replaceme
